package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SopSopRel extends Model<SopSopRel> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "sop_sop_id", type = IdType.ASSIGN_UUID)
    private String sopSopId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * sop的主键id
     */
    private String sopId;

    /**
     * 被引用sop的主键id
     */
    private String relSopId;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 有效状态
     */
    private Boolean valid;


    @Override
    protected Serializable pkVal() {
        return this.sopSopId;
    }

}
